> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run eBay Seller Feedback

> Returns feedback received by an eBay seller: rating, reviewer, and related item. List endpoint: 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-ebay-seller-feedback
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-ebay-seller-feedback:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Run eBay Seller Feedback
      description: >-
        Returns feedback received by an eBay seller: rating, reviewer, and
        related item. List endpoint: 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                seller:
                  type: string
                  description: eBay seller username or store URL.
                max_items:
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                  description: >-
                    Maximum number of records to return (1-500). Billed at 1
                    point per returned record.
                start_page:
                  type: integer
                  minimum: 1
                  default: 1
                  description: Result page to start from.
              required:
                - seller
            example:
              seller: cocosmartphones
              max_items: 25
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  seller:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      feedback:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            rating:
                              type: string
                            text:
                              type: string
                            from_user:
                              type: string
                            from_user_score:
                              type: integer
                            role:
                              type: string
                            item_id:
                              type: string
                            item_title:
                              type: string
                            item_url:
                              type: string
                            price:
                              type: number
                            currency:
                              type: string
                            is_verified_purchase:
                              type: boolean
                            period:
                              type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: ebay_seller_feedback
                seller: musicmagpie
                max_items: 2
                start_page: 1
                human: |-
                  # eBay seller feedback

                  - **Seller:** musicmagpie
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 26.1 KB
                machine:
                  total_items: 2
                  feedback:
                    - id: '2905112129019'
                      rating: positive
                      text: >-
                        Item received 21 JulyTuesday and is as described, very
                        good price and well packaged. MM kept me well informed
                        until RM took over , still it was only 4 days Still full
                        marks to the seller MM for great service as usual A1++
                      from_user: r***7
                      from_user_score: 438
                      role: buyer
                      item_id: '301779962726'
                      item_title: >-
                        Boys Don't Cry DVD (2002) Hilary Swank, Peirce (DIR)
                        cert 18 Fast and FREE P & P
                      item_url: https://www.ebay.com/itm/301779962726
                      price: 2.39
                      currency: GBP
                      is_verified_purchase: true
                      period: Past 6 months
                    - id: '2973161015019'
                      rating: positive
                      text: >-
                        Firstly  a great service and saving the planet . Item
                        arrived quickly,well packaged, quick dispatch and
                        delivery, great prices, on playing disc 2 skipped and
                        wouldn’t play 1 track , the other discs were like new, I
                        sent an email and pictures showing the damage and
                        recieved a reply soon after stating they are sending
                        another one out, no problems . They have a fantastic
                        customer service , I have bro
                      from_user: a***p
                      from_user_score: 3194
                      role: buyer
                      item_id: '301779689600'
                      item_title: >-
                        Various : Wow That Was the 60s CD Value Guaranteed from
                        eBay’s biggest seller!
                      item_url: https://www.ebay.com/itm/301779689600
                      price: 3.81
                      currency: GBP
                      is_verified_purchase: true
                      period: Past month
                  proxy_traffic_bytes: 26735
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````